<?php
/*
 * Created on 11.02.2012
 * Oliver Soop(osoop1@ut.ee)
 */
 
 class DownloadedXML {
 	protected $errorNo;
 	protected $errorMessage;
 	protected $content;
 	
 	public function __construct($errNo, $errMsg, $content) {
 		$this->errorNo = $errNo;
 		$this->errorMessage = $errMsg;
 		$this->content = $content;
 	}
 	
 	/**
 	 * Funktsioon pärimaks XML-i veanumbrit
 	 */
 	public function getErrorNo() {
 		return $this->errorNo;
 	}
 	
 	/**
 	 * Funktsioon pärimaks XML-i veakirjeldust
 	 */
 	public function getErrorMessage() {
 		return $this->errorMessage;
 	}
 	
 	/**
 	 * Funktsioon pärimaks XML-i sisu
 	 */
 	public function getContent() {
 		return $this->content;
 	}
 }
?>
